Package uk.ac.starlink.registry

# Interface ResourceSink<R>

public interface ResourceSink<R>
Interface for receiving resources.

Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`addResource(R resource)`
Accept a newly discovered resource.

## Method Details

### addResource

void addResource(R resource)
Accept a newly discovered resource.

Parameters:
  `resource` - resource